#pragma once

#include <QImage>



class GLUtil
{
public:
	static void TraceGLError(void);
	static void TraceVersion(void);

	static void GetColorBuffer(QImage& bmp, bool flipY, GLint x, GLint y, GLint w, GLint h);
	static void GetColorBuffer(QImage& bmp, bool flipY);

private:
	static uint RGBtoIndex(unsigned char r, unsigned char g, unsigned char b);
};
